查询 KYC 状态

GET
/openapi/v1/customers/provider-kyc

查询客户在渠道的 KYC 状态。不是 Stabo 平台的 KYC 状态。

  • providerCustomerId 在 SUBMITTED 阶段可能为空,APPROVED 后才返回。开户要用它。
  • failureReason 只在 REJECTED 时返回。

鉴权

bearerAuth
header鉴权Bearer <令牌>

通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。

查询参数

customerUid*string

调用方为客户定义的 UID,提交 KYB 时在渠道建档。

Header 参数

X-Channel-Provider*string

渠道提供商标识。渠道侧 KYC 当前只支持 LEGEND。

响应体

返回 KYC 状态。

application/json
  1. response
code?integer

业务状态码

message?string
traceId?string

请求追踪 ID。联系技术支持时请提供

data?

客户在渠道的 KYC 状态。查询响应与 provider.kyc.* Webhook 的 data.object 共用。

请求示例
curl -X GET 'https://api.test.stabofx.com/openapi/v1/customers/provider-kyc?customerUid=cust_example_001' \  -H 'X-Channel-Provider: LEGEND'
响应示例
{  "code": 200,  "message": "OK",  "traceId": "trace-uuid-string",  "data": {    "customerUid": "cust_example_001",    "providerCustomerId": "usr_xxx",    "status": "APPROVED"  }}